Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: Konrad Podczeck <[email-masked]>
Date: Thu, 17 Dec 2020 11:19:27 +0100

> Am 17.12.2020 um 08:29 schrieb martin rudalics <[email-masked]>:
> 
> > To clarify my observation: If I comment out just the two calls to
> > wset_update_mode_line that are in window_scroll_pixel_based, then the
> > mouse wheel scrolling problem with multiple frames goes away, but the
> > problem with scrolling via the scroll bars remains; if I comment out
> > all five calls to wset_update_mode which are in window.c, then in
> > addition the scroll-bar problem goes away (with multiple frames). I
> > just wanted to know whether Martin has an idea which of the remaining
> > three calls (when they are not out-commented) could be responsible for
> > the scroll-bar problem.
> 
> I suppose it happens via 'scroll-bar-toolkit-scroll' calling
> 'scroll-bar-drag-1' calling 'set-window-start' so commenting out the
> 
>  wset_update_mode_line (w);
>  /* Bug#15957.  */
> 
> occurrence in Fset_window_start should cut it.

Thanks! This did the job. Is there a way to exactly test whether the (now) three out-commenting of wset_update_mode_line are really as harmless at they appear? Could there be other scrolling problems, say by scrolling via keys?

Konrad 

> martin